HAXM fails to install on High Sierra

HAXM fails to install on High Sierra

Hi,

HAXM's silent install script tests for Mac OS version and this check fails on High Sierra so that it cannot be installed.  This then affects "brew cask install intel-haxm"

PS: Would be nice to have a clearer way to raise issues like this (there was no bug list or contact point on the page other than very generic methods, twitter support sent me a bit more of a direct link, even so, for me a forum isn't really the right place!)

Thanks

Adrian

4 posts / 0 new
Last post
For more complete information about compiler optimizations, see our Optimization Notice.

Hello Adrian,

I found some information related to your question:

https://software.intel.com/en-us/articles/intel-hardware-accelerated-execution-manager-intel-haxm

https://stackoverflow.com/questions/28418450/i-cant-install-intel-haxm

You also might want to check with the Intel XDK forum for cross platform support: 

https://software.intel.com/en-us/forums/intel-xdk

Regards,

Thai

 

Hi Thai,

It's not that - it's as simple as I say.

If you look at silient_install.sh it checks "sw_vers -productVersion" and then echos "HAXM silent installation only supports macOS from 10.8 to 10.12 !"

And High Sierra is 10.13.x.

Adrian

Ah. it looks like that High Sierra is 10.13.x. is not supported at this time.  You might want to check with the Intel(R) XDK forum on this topic.  I also posted a request for a new version at https://software.intel.com/en-us/articles/intel-hardware-accelerated-execution-manager-intel-haxm#comment-1915036

-Thai

Leave a Comment

Please sign in to add a comment. Not a member? Join today